Subject: Re: proftpd and cygwin
From: Jason Tishler <[email-masked]>
To: Wade Maxfield <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Wed, 16 Jul 2003 08:03:47 -0400

Wade,

Please post instead of sending private email.

On Tue, Jul 15, 2003 at 05:13:27PM -0500, Wade Maxfield wrote:
> First, thanks for donating this!

You are welcome.

> I searched the mailing list, which is how I found your name.  I also
> searched the FAQ and the Documentation online.
> 
> I installed proftpd, and running as administrator under windows 2000,
> service pack 2, I got
> 
> $ /usr/sbin/proftpd.exe
> bdl - unable to set uid to 18, current uid: 500
> 
> So I played with user settings and other things, and I get other
> errors.  I created a proftpd user in /etc/passwd with userid 500, and
> group id 513, as those were what it seemed to be complaning about.
> After making changes in /etc/proftpd.conf to reflect these user names,
> I then got the following:
> 
> bdl - PRIVS_SETUP: unable to setuid(): Permission denied
> bdl - PRIVS_SETUP: unable to seteuid(): Permission denied
> bdl - PRIVS_ROOT: unable to seteuid(): Permission denied
> bdl - PRIVS_RELINQUISH: unable to seteuid(PR_ROOT_UID): Permission denied
> bdl - PRIVS_RELINQUISH: unable to seteuid(session.uid): Permission denied
> 
> So, I'm currently stuck.  I just updated the cygwin package and
> rebooted before I tried running proftpd.exe, so everything should be
> sync'd.  
> 
> Do you have any clues or things for me to try?

Yes, read the README:

    http://www.tishler.net/jason/software/proftpd/proftpd-1.2.9rc1.README

> I've looked at all the settings and other things, but no luck so far.
> I need this package.  I have some other things I can do to get an ftp
> server, but I'd prefer to make this work well.
> 
> Totally unrelated note, I'm typing this on openssh under cygwin under
> w2k, using a wireless link to a shell account on my linux system
> through a firewall.

The above is essentially my setup too -- except, in my case, its Cygwin
on both ends.  Isn't Cygwin great!

> I also use XFree86 under Cywin and it works well.
> 
> thanks in advance!

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/